local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 38367 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local _G = _G
local tonumber = _G.tonumber
local UnitLevel = _G.UnitLevel
local AceLibrary = _G.AceLibrary

-- This is intended to be a separate config file, so that config changes don't require core edits

-- This is a stub and needs proper localization
local L = {
	["Arcane Shroud"] 				= "Arcane Shroud",
	["Eye of Diminution"] 			= "Eye of Diminution",
	["Fungal Bloom"]				= "Fungal Bloom"
}

local ThreatLib = _G.ThreatLib

local BS = AceLibrary("Babble-Spell-2.2")
function ThreatLib:ThreatInitData()
	self.BuffModifiers = {
		[BS["Tranquil Air"]] = function(self)
			self:AddBuffThreatMultiplier(0.8)
		end,
		[BS["Blessing of Salvation"]] = function(self)
			self:AddBuffThreatMultiplier(0.7)
		end,
		[BS["Greater Blessing of Salvation"]] = function(self)
			self:AddBuffThreatMultiplier(0.7)
		end,
		[L["Fungal Bloom"]] = function(self)
			self:AddBuffThreatMultiplier(0)
		end,
		[L["Arcane Shroud"]] = function(self)
			local value = -0.7
			
			if UnitLevel("player") > 60 then
				value = value + (UnitLevel("player") - 60) * 0.02
			end	
			self:AddBuffThreatMultiplier(1 - value)
		end,
		[L["Eye of Diminution"]] = function(self)
			self:AddBuffThreatMultiplier(0.65)
		end,
		-- Uncomment this once Insignifigance is in Babble-Spell
		-- See http://www.wowhead.com/?spell=40618
		-- [L["Insignifigance"]] = function(self) self:AddBuffThreatMultiplier(0) end
	}
	
	self.DebuffModifiers = {
		[BS["Thunderfury"]] = function()
			return 1, 0
		end,
	}
	
	self.ThreatConstants = {
		healing = 0.5,
		meleeAggroGain = 1.1,
		rangeAggroGain = 1.3,
		rageGain = 5.0,
		energyGain = 5.0,
		manaGain = 0.5,
	}
	
	self.ThreatInitData = nil
end

_G.tinsert(ThreatLib.UpvalueFixers, function(lib) ThreatLib = lib end)

end
